[Reproducible-commits] [misc] 01/01: sync-debindiff-results: initial version
Chris Lamb
lamby at moszumanska.debian.org
Mon Feb 16 14:25:09 UTC 2015
This is an automated email from the git hooks/post-receive script.
lamby pushed a commit to branch master
in repository misc.
commit 3c7aa00caf78331aadb30102f4102f31d95d193c
Author: Chris Lamb <lamby at debian.org>
Date: Mon Feb 16 14:24:52 2015 +0000
sync-debindiff-results: initial version
---
sync-debbindiff-results | 33 +++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/sync-debbindiff-results b/sync-debbindiff-results
new file mode 100755
index 0000000..d3fc55b
--- /dev/null
+++ b/sync-debbindiff-results
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# sync-debbindiff-results: sync a copy of our reproducible results
+#
+# Copyright © 2015 Chris Lamb <lamby at debian.org>
+# Licensed under WTFPL — http://www.wtfpl.net/txt/copying/
+
+set -eu
+
+if [ "${#}" != 1 ]
+then
+ echo "usage: ${0} <target-dir>" >&2
+ exit 1
+fi
+
+TARGET="${1}"
+
+if [ ! -d "${TARGET}" ]
+then
+ echo "${0}: target '${TARGET}' does not exist" >&2
+ exit 1
+fi
+
+cd ${TARGET}
+
+exec wget \
+ --mirror \
+ --no-parent \
+ --cut-dirs=1 \
+ -e robots=off \
+ --no-host-directories \
+ --accept "*.debbindiff.html" \
+ https://reproducible.debian.net/dbd/
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git
More information about the Reproducible-commits
mailing list